//
// Created by zx on 2019/9/3.
//

#ifndef TOWBOTMPC_H
#define TOWBOTMPC_H
#include <vector>
#include <Eigen/Core>
#include <tf/transform_datatypes.h>

class TowBotMPC
{
public:
    TowBotMPC();
    ~TowBotMPC();
    bool Solve(Eigen::VectorXd state, double max_v,Eigen::VectorXd coeffs,
        Eigen::VectorXd coeffs_b, std::vector<double>& out);

    std::vector<tf::Pose> m_trajectory_f;
    std::vector<tf::Pose> m_trajectory_b;

};


#endif //TOWBOTMPC_H
